KILLALL(1)

NAME
killall - kill processes by name

SYNOPSIS
killall [-d |-v] [-h |-]? [-help] [-l] [-m] [-s] [-SIGNAL] procname ...

DESCRIPTION
Killall kills processes selected by name, as opposed to the selection by pid as done by kill(1). By default, it will send a TERM signal to all processes with an effective UID identical to the caller of killall that match the name procname. The super-user is allowed to kill any process.

The options are as follows:

-d |-v
    Be more verbose about what will be done. For a single -d option, a list of the processes that will be sent the signal will be printed, or a message indicating that no matching processes have been found. If the option -d has been specified at least twice, the effective UID, PID, and name of all processes found in procfs(5) will be listed in addition.

-h |-?

-help
    Give a help on the command usage and exit.

-l  List the names of the available signals and exit, like in kill(1).

-m  Match the argument procname as a (case insensitive) regular expression against the names of processes found in procfs(5). CAUTION! This is dangerous, a single dot will match any process running under the effective UID of the caller. The regular expression syntax in effect is that used by perl(1).

-s  Show only what would be done, but do net send any signal.

-SIGNAL
    Send a different signal instead of the default TERM. The signal may be specified either as a name (with or without a leading SIG), or numerically.

ALL PROCESSES
Sending a signal to all processes with uid XYZ is already supported by kill(1). So use kill(1) for this job (e.g. $ kill -TERM -1 or as root $ echo kill -TERM -1 | su -m <user>)

DIAGNOSTICS
The killall command will respond with a short usage message and exit with a status of 2 in case of a command error. A status of 1 will be returned if either no matching process has been found or not all processes have been signalled successfully. Otherwise, a status of 0 will be returned.

Diagnostic messages will only be printed if requested by -d options.

SEE ALSO
kill(1), procfs(5).

HISTORY
The killall command appeared in FreeBSD 2.1. It has been modeled after the killall command as available on other platforms.

AUTHOR
The program has been contributed by Wolfram Schneider, this manual page has been written by Joerg Wunsch.